import { HttpStatus, HttpException } from '@nestjs/common';
import { TipoOperacionService } from './tipo-operacion.service';
import { CreateTipoOperacionDto } from './dto/create-tipo-operacion.dto';
import { UpdateTipoOperacionDto } from './dto/update-tipo-operacion.dto';
export declare class TipoOperacionController {
    private tipoOperacionService;
    constructor(tipoOperacionService: TipoOperacionService);
    getTipoVistaAll(): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            nombre_filtro: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
    }>;
    getTipoOperacion(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                nombre_filtro: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getUserSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                nombre_filtro: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getTipoOperacionById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        nombre_filtro: string;
        deleted_at: Date;
        inmueble: import("../inmueble/inmueble.entity").Inmueble[];
    }>;
    createTipoOperacion(newTipoOperacion: CreateTipoOperacionDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            nombre_filtro: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateTipoOperacion(id: number, tipoOperacion: UpdateTipoOperacionDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            nombre_filtro: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteTipoOperacion(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
